Skip to content
Snippets Groups Projects
Commit 0838307b authored by Silvie Illesova's avatar Silvie Illesova
Browse files

Uploaded, .cpp file, cmake and .yml file

parents
No related branches found
Tags v2.0.0-beta.4
No related merge requests found
Pipeline #23358 failed
image: ubuntu:rolling
stages:
- build
- test
build_codes:
stage: build
artifacts:
paths:
- build/
script:
- 'cmake -Bbuild -S.'
- 'cmake --build'
test_return_value_1:
stage: test
dependencies:
- build_codes
script:
- './bin1 && echo "Job OK" || { echo "Job ERROR: $?";exit 1; }'
test_return_value_2:
stage: test
dependencies:
- build_codes
script:
- './bin2 && echo "Job OK" || { echo "Job ERROR: $?";exit 1; }'
cmake_minimum_required(VERSION 3.10)
project(HandsOn)
add_executable(bin1 code1.cpp)
add_executable(bin2 code2.cpp)
int main() {
return 0;
}
int main() {
return -1;
}
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment